QGIS Application - Feature request #1609
QGIS4INSPIRE
2009-04-01 12:08 AM - jachym -

Status: In Progress

Priority: Normal

Assignee:

Category: QGIS Server

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11669
Description

Directive 2007/2/EC of the European Parliament and of the Council of 14 March 2007 establishing an In*frastructure for *Sp*atial
*I*"nfo*r*mation in the *E*uropean Community (*INSPIRE) was published in the official Journal on the 25th April 2007. The INSPIRE

Directive entered into force on the 15th May 2007.

QGIS Should be able to handle data and metadata according to INSPIRE specifications. This means among others, to prepare set of
plugins (let's call it e.g. INSPIRE4QGIS). With this plugins it would be possible to

- Display the Metadata from this catalogues

Search the data sources in catalogues (keyword CSW, something like http://www.inspire-geoportal.eu/catalogue/Start.do)

- Download and display the data in QGIS (keywords: WMS, WFS, WCS)

- Transform the data (keyword: WPS)
- Possibly add INSPIRE Metadata Editor in the future.

Without being able to follow the INSPIRE rules, QGIS would not became the GIS solution for State organisations in EU.

Related issues:

Related to QGIS Application - Feature request # 6520: INSPIRE support for QG... Rejected 2012-10-15

History

#1 - 2009-04-02 03:49 PM - Paolo Cavallini

See also #1399 (a subset of this)

#2 - 2011-03-05 09:51 AM - Borys Jurgiel

- Status changed from Open to In Progress

#3 - 2011-10-27 11:15 AM - Alexander Bruy
- Pull Request or Patch supplied set to No

Seems that we already have several plugins related to metadata: MetaEdit, Metatools and CSWClient

#4 - 2012-09-16 03:45 PM - Borys Jurgiel
- Assignee deleted (Borys Jurgiel)

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-10-16 12:40 AM - Paolo Cavallini
http://www.inspire-geoportal.eu/catalogue/Start.do

See also #6520

#7 - 2012-10-17 07:39 AM - Marco Lechner
- Category changed from Python plugins to QGIS Server

QGIS is commonly used in Europe and the INSPIRE directive is a very important ruleset to provide geodata as a service. For QGIS it might be a great
benefit to improve its server functionality to provide INPSIRE compliant WMS (and WFS) Services. May be this could be implemented as an option. Right
now QGIS Mapserver WMS fails some tests and therefore is not fully INSPIRE compliant (and | guess also not fully OGC compliant e.g. using text/xml as
default exception format). Services can be tested using test suites as provided by http:/testsuite.gdi-de.org/gdi/

#8 - 2012-10-17 07:40 AM - Marco Lechner
- Priority changed from Low to Normal

priority for qgis mapserver should be normal. (may be INSPIRE-client fetaures could be priority low)

#9 - 2016-02-16 05:36 AM - René-Luc ReLuc

PR2637 https://github.com/qqgis/QGIS/pull/2637 merged for 2.14
Add WMS INSPIRE Capabilities

In the project properties the user can:
activate INSPIRE capabilities
select language of the service, 24 EU official languages + 5 regionals
choose the scenario for service metadata and specify them

The WMS 1.3.0 capabilities reflects the INSPIRE configuration.

#10 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#11 - 2017-07-16 03:30 PM - Regis Haubourg

- Description updated

See also this plugin for reading complex features defined by application schema (which relies on GDAL enhancement too)

https:/plugins.qgis.org/plugins/gml_application_schema_toolbox/
